Subject: [os2genau_digest] No. 585
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 7 Apr 2003 00:02:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 06 April 2003
 Number  585
**************************************************

Subjects for today
 
1  Re:  Can't boot after installing Air Boot : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 06 Apr 2003 11:49:12 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Can't boot after installing Air Boot

Hi Glenn,

The reason you cannot boot your os/2 maintenance partition
is most likely (but could be others too) because your 
extended partition is not recognised by Os/2.  
It must now have been changed to M$ ExtendedX type.

You can change it back by use of either the boot options of
Air-Boot, where you must have the "M$ hack" turned on first.
Choice "P" then toggles the M$ hack to be done during the 
boot process. 
If the "P" is not highlighted then ExtendedX is disallowed
on that boot of the Air-Boot menu, for that partition.!

Or, by using a Partition Table Editor that comes with
Partition Magic.
Boot from a dos floppy, Load mouse then PtEdit.exe.
You should then see a table of figures that represents the
partition table of the first disk (default).

PROBABLY, the start of the 4th row will be an entry
showing "0F", click the mouse on the 0F in the table and
then click on the "SET TYPE" button. All the values are 
listed and described. select "05" from the list, exit and save.
(I have sent you a email with attachment with mouse dot com and
PtEdit.exe in it. You will have to make a bootable dos disk.
You do not require a complete boot disk, just the boot
files.)

Now, back to Air-Boot.  Since Air-Boot was only just installed
on your system and was not previously configured, you must setup
the options you want it to do.

Hit F10 and go to Air-Boot setup, go into the partition setup
and highlight the option "Warp4" or whatever you have labeled
the os/2 partition.

By design, Air-Boot tries to use volume labels of all your
partitions. It pays to have unique volume labels.!  It also uses
serial numbers of the partitions as well.  Any program that 
changes either of these  will mean you may have to check or adjust
your Air-Boot config on the next boot.

Press "H" and you will probably find a box come up, displaying
all partitions are UNHIDDEN.  Since you have three primaries,
(Win2000, Warp4 and BootManager) the _ONLY_ entries that should be
set HIDDEN will need to be WIN2000.  All the rest can (in YOUR case)
be left UNHIDDEN.

The above will also apply to your maintenance os/2 partition
and BootManager if you wish to boot through it.
ie when booting Maintenance os/2 Win2000 should be HIDDEN.

If you want to when configuring the Warp4, toggle the "L"
option, this will bring up a box asking you to set the
prefered drive letter for os/2.  Set this to "C".

DO the same with the maintenance os/2 entry but set the "L"
option to whatever drive letter your maintenance partition
requires.

Exit and save and then continue booting into os/2.

All should be ok.

I recommend you read the readme with the air-boot program.
Some people cannot seem to grasp the concept of hiding
and unhiding partitions.
Admittedly, the documentation is not as descriptive as it perhaps 
should be for beginners. The author assumes that anyone
using his program already knows about the requirements
for hiding partitions and has good knowledge of partition
related conditions and problems.

Later on you may elect to configure the Win2000 if it keeps 
on finding and assigning a drive letter to your HPFS 
partitions.  Win2000 usually offers to format these 
drives if you click on them in Explorer.

I could go on and on but time prohibits.
I have tried to keep it simple.

Hope this helps.

Robert Traynor (BobT)
   6 April 2003

On Sat, 05 Apr 2003 21:26:48 +1000, Glenn Montgomery wrote:
> Greetings All,
> 
> Thanks for the initial help.
> My system configuration is as follows:
> 
> WIN2000   Pri
> WARP4      Pri
> BM
> Extended Partition (MS) with lots of logical partitions, one of which 
> was to be my maintenance partition.
> 
> I installed Air-boot from OS/2
> 
> I will read through again and try the suggestions
> 
> If I could change the Ext-Part type back to something universally 
> recognised instead of the M$ type, maybe I wouldn't need the AIR-Boot 
> anyway???? What do you think??
> 
> Hope this helps
> Glenn

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------